#include "libwtref.h"
#include "exc.h"

wt_error libwtref_init(struct wtr_vm* const vm, LIBWTREF_PFN_ERROR_CB errcb,
	void* errcb_priv)
{
	wt_error err;

	if(WTE_OK!=(err=wtrVMSetHashAlgs(vm, libwtref_hash_algs)))
	{
		return err;
	}

	if(WTE_OK!=(err=libwtref_get_exceptions(vm, errcb, errcb_priv)))
	{
		return err;
	}

	return WTE_OK;
}
